import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

import constantRouter from './constantRouter'
import asyncRouter from './asyncRouter'
// import asyncRouter from './asyncRouter'

/**
 * constantRoutes
 * a base page that does not have permission requirements
 * all roles can be accessed
 */

// export const constantRoutes = constantRouter.concat(asyncRouter)
export const constantRoutes = constantRouter.concat(asyncRouter)

// export const asyncRoutes = asyncRouter

// const routes = constantRoutes.concat(asyncRouter).concat([{ path: '*', redirect: '/404', hidden: true }])
const routes = constantRoutes.concat([{ path: '*', redirect: '/404', hidden: true }])

const createRouter = () => new Router({
  // mode: 'history', // require service support
  scrollBehavior: () => ({ y: 0 }),
  routes: routes
})

const router = createRouter()

// Detail see: https://github.com/vuejs/vue-router/issues/1234#issuecomment-357941465
export function resetRouter() {
  const newRouter = createRouter()
  router.matcher = newRouter.matcher // reset router
}
router.beforeEach((to, from, next) => {
  /* 路由发生变化修改页面title */
  if (to.query.title) {
    to.meta.title = to.query.title
  }
  next()
})
export default router
